Module jdk.xml.dom
Package org.w3c.dom.html

# Interface HTMLMetaElement

All Superinterfaces:
  `Element`, `HTMLElement`, `Node`

public interface HTMLMetaElement extends HTMLElement
This contains generic meta-information about the document. See the META element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

- ## Field Summary

  ### Fields declared in interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContent()`
  Associated information.
  `String`
  `getHttpEquiv()`
  HTTP response header name.
  `String`
  `getName()`
  Meta information name.
  `String`
  `getScheme()`
  Select form of content.
  `void`
  `setContent(String content)`
  `void`
  `setHttpEquiv(String httpEquiv)`
  `void`
  `setName(String name)`
  `void`
  `setScheme(String scheme)`

  ### Methods declared in interface org.w3c.dom.Element

  `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

  ### Methods declared in interface org.w3c.dom.html.HTMLElement

  `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

  ### Methods declared in interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Method Details

  - ### getContent

    String getContent()
    Associated information. See the content attribute definition in HTML 4.0.

  - ### setContent

    void setContent(String content)

  - ### getHttpEquiv

    String getHttpEquiv()
    HTTP response header name. See the http-equiv attribute definition in HTML 4.0.

  - ### setHttpEquiv

    void setHttpEquiv(String httpEquiv)

  - ### getName

    String getName()
    Meta information name. See the name attribute definition in HTML 4.0.

  - ### setName

    void setName(String name)

  - ### getScheme

    String getScheme()
    Select form of content. See the scheme attribute definition in HTML 4.0.

  - ### setScheme

    void setScheme(String scheme)